version: "3.7"

networks:
  mother:
    external: true


services:
  core:
    image: registry.vnfco.ir/ig/api:0.4.4
    environment:
      - SPRING_ACTIVE_PROFILE=prod
    volumes:
      - /Users/amirmoghi3/application-prod.properties:/target/classes/application-prod.properties
    deploy:
      update_config:
        parallelism: 1
        delay: 10s
        order: start-first
      restart_policy:
        condition: any
        delay: 5s
        window: 120s 
      resources:
        limits:
          cpus: '0.75'
          memory: 400m
      replicas: 1
      mode: replicated
    entrypoint: [ "java" ,"-jar","IGAPI.jar" , "--spring.config.location=/target/classes/application-prod.properties"]
    ports:
      - "8011:8080"
    networks:
      - mother
  

